
// --------------------------------------------------------------------
// Licence Professionnelle GPI, specialite Vision Industrielle
// Travaux Pratiques UE3: Analyse des Images
// F. Cabestaing (2008)
// --------------------------------------------------------------------
// TP2: Simulation des diffrents types de cameras
// Definition d'une camera perspective avec simulation de mise au point
// Calcul des parametres en fonction des distances de nettete
// D'apres la macro DoF (http://www.wozzeck.net/images/DoF_fr.html)
//
// Distance moyenne de nettete
#declare DistanceObjetNet = 2 / (1 / DistanceObjetNetProche + 1 / DistanceObjetNetLointain);
// Distance hyperfocale
#declare HyperFocale = 2 / (1 / DistanceObjetNetProche - 1 / DistanceObjetNetLointain);
// 512 = Taille supposee de l'image ;-)
#declare TaillePixel = LargeurCapteur / 512;
#declare Ouverture = TaillePixel * HyperFocale / DistanceFocale;
// --------------------------------------------------------------------
// Messages de debug
// --------------------------------------------------------------------
#debug concat("Ouverture = ", str (Ouverture, 0, 3), "\n")
#debug concat("DistanceObjetNet = ", str (DistanceObjetNet, 0, 3), "\n")
camera {
  location PositionCamera
  direction DistanceFocale * y
  right LargeurCapteur * x
  up HauteurCapteur * z  
  focal_point PositionCamera + DistanceObjetNet * y
  blur_samples 100
  aperture Ouverture
}
