
// --------------------------------------------------------------------
// Licence Professionnelle GPI, specialite Vision Industrielle
// Travaux Pratiques UE3: Analyse des Images
// F. Cabestaing (2008)
// --------------------------------------------------------------------
// TP2: Simulation des diffrents types de cameras
// Fichier principal
// --------------------------------------------------------------------

// --------------------------------------------------------------------
// Definition des couleurs standard
// --------------------------------------------------------------------
#include "colors.inc"

// --------------------------------------------------------------------
// Source ponctuelle de lumiere
// --------------------------------------------------------------------
light_source {
  <-1000,-1000,500>, rgb <1,1,1>
}

// --------------------------------------------------------------------
// Inclure la definition des objets de la scene
// --------------------------------------------------------------------
#include "objets.inc"

// --------------------------------------------------------------------
// Camera
// --------------------------------------------------------------------
// Pour utiliser un type particulier de camera, il suffit de retirer
// le double slash de definition d'un commentaire sur le debut de la
// ligne correspondante.
//
// --------------------------------------------------------------------
// Definition de parametres: certains modeles de cameras n'utilisent
// pas tous les parametres. Toutes les distances et dimensions sont
// a exprimer en metres!
//
// --------------------------------------------------------------------
// Position de la camera
#declare PositionCamera = <0,0,0>;
//
// Taille du capteur
// Capteur 2/3 de pouces = 8.8 x 6.6 mm
#declare LargeurCapteur = 8.8e-3;
#declare HauteurCapteur = 6.6e-3;
//
// Capteur a la dimension de la scene (pour camera orthographique)
//#declare LargeurCapteur = 20;
//#declare HauteurCapteur = 15;
//
// --------------------------------------------------------------------
// Distance focale (en m)
#declare DistanceFocale = 12.5e-3;
//
// --------------------------------------------------------------------
// Parametres pour la simulation de profondeur de champ
#declare DistanceObjetNetProche = 10;
#declare DistanceObjetNetLointain = 20;
//
// --------------------------------------------------------------------
// Angle de vue, pour les cameras fish-eye et spherique
#declare AngleDeVue = 90;
//
// --------------------------------------------------------------------
// Inclusion du fichier en fonction de la camera souhaitee
//#include "camera-perspective.inc"
#include "camera-perspective-floue.inc"
//#include "camera-fish-eye.inc"
//#include "camera-spherique.inc"
//#include "camera-orthographique.inc"
